/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef BL_H
#define BL_H

#include "bucketmove.h"

namespace SpritePack {

	class BL : public DirectionGeometryBucketMove
	{
	public:
		BL();

	public:
		bool morePrecisie;

		bool manyWidths;

	public:
		virtual Cost calc();

		virtual Cost calc(const int areaW);

		virtual string name() const;

		virtual void setInput(Bucket *, Direction, bool onlyOnce = false, bool manyWidths = false);

	protected:

		struct S
		{
			Point point;
			int left;
			int right;
			S(const Point& = Point(), int left = 0, int right = 0);
		};

		virtual vector<int> areaWidths() const;

		virtual void visualize() const;
	};


} // namespace SpritePack

#endif // BL_H