/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef COST_H
#define COST_H

#include "number.h"
#include "costtype.h"

namespace SpritePack {

	struct Cost : public Number 
	{
		Cost(Type t = 0)
			: Number(t)
		{}

		Cost(const Number& n)
			: Number(n)
		{}

		Cost(const Cost& c)
			: Number(c.value)
		{}

		string toString(SpritePack::CostType) const;

	};
} /* namespace SpritePack */

#endif // COST_H
