/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "direction.h"

namespace SpritePack {

	Direction::Direction(DirectionEnum direction)
		: m_value((char)direction)
	{}

	string Direction::toString() const
	{
		switch ((DirectionEnum)m_value)
		{
		case Vertical:
			return "Vertical";

		case Horizontal:
			return "Horizontal";

		}
		return "";
	}

	Direction::operator DirectionEnum() const
	{
		return (DirectionEnum)m_value;
	}
	
} /* namespace SpritePack */
