/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#include "imageinfo.h"

namespace SpritePack {

	ImageInfo::ImageInfo(Id _id, string _fileName, string _cssClassName, int _width, int _height, Type _type, Quality _quality, Palette _palette, FileSize _before, FileSize _after)
		: id(_id), fileName(_fileName), cssClassName(_cssClassName), width(_width), height(_height), type(_type), quality(_quality), palette(_palette), beforeFileSize(_before), afterFileSize(_after)
	{}

	ImageInfo::operator Id() const
	{
		return id; 
	}

	ImageInfo& ImageInfo::operator=(const ImageInfo&)
	{
		return *this;
	}

	Geometry ImageInfo::geometry() const
	{
		return Geometry(width, height);
	}

} /* namespace SpritePack */