/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef IMAGE_INFO_H
#define IMAGE_INFO_H

#include "utils.h"
#include "type.h"
#include "palette.h"
#include "geometry.h"

namespace SpritePack
{
	struct ImageInfo
	{
		const Id id;
		const string fileName;
		const string cssClassName;
		const int width;
		const int height;
		const Type type;
		const Quality quality;
		const Palette palette;
		const FileSize beforeFileSize;
		const FileSize afterFileSize;

		ImageInfo(Id = -1, string fileName = "", string cssClassName = "", int width = 0, int height = 0, Type = None, Quality = 0, Palette = Palette(), FileSize before = 0, FileSize after = 0);
		operator Id() const;
		ImageInfo& operator=(const ImageInfo&);

		Geometry geometry() const;
	};


} /* namespace SpritePack */

#endif /* IMAGE_INFO */
