/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LOG_H
#define LOG_H

#include "utils.h"

namespace SpritePack {

	struct Log
	{
		Log();

		Log(ostream&, bool printTime = true);

		~Log();

		static void openLogFile(const string&);

		static void closeLogFile();

		template<class T> const Log& operator<<(const T&) const;

	private:
		ostream * m_stream;
		static fstream * m_fstream;
	};

	/* implementation */

	template<class T> const Log& Log::operator<<(const T& t) const
	{
		if (m_stream)
			(*m_stream) << t << " ";
		
		if (m_fstream)
			(*m_fstream) << t << " ";

		return *this;
	}

} /* namespace SpritePack */

#endif /* LOG_H */