/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef NUMBER_H
#define NUMBER_H

#include "thirdparty.h"

namespace SpritePack {

	struct Number
	{
		typedef long long Type;

		Type value;

		Number(Type = 0);

		Number(const Number&);	

		operator Type() const;

		static Type infinityValue();

		Number& operator+=(const Number&);

		Number& operator-=(const Number&);

		Number operator+(const Number&) const;

		Number operator-(const Number&) const;

		bool operator<(const Number&) const;

		bool isInfinity() const;

		string toString() const;

		static Number infinity();

	};

} /* namespace SpritePack */

#endif /* NUMBER_H */
