/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#include "palette.h"
#include "base.h"

namespace SpritePack {

	Palette::Palette(const string& name, bool hasTransparency)
		: m_name(name), m_hasTransparency(hasTransparency)
	{
	}

	string Palette::toString() const
	{
		return m_name;
	}

	bool Palette::hasTransparency() const
	{
		return m_hasTransparency;
	}

	bool Palette::operator<(const Palette& palette) const
	{
		if (m_name != palette.m_name)
			return m_name < palette.m_name;
		else
			return m_hasTransparency < palette.m_hasTransparency;
	}

	bool Palette::operator==(const Palette& palette) const
	{
		return m_name == palette.m_name && m_hasTransparency == palette.m_hasTransparency;
	}

	bool Palette::operator!=(const Palette& palette) const
	{
		return !operator==(palette);
	}

} /* namespace SpritePack */