/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PALETTE_H
#define PALETTE_H

#include "utils.h"

namespace SpritePack
{
	class Palette
	{
	public:
		Palette(const string& name = "", bool hasTransparency = false);

		string toString() const;

		bool hasTransparency() const;

		bool operator<(const Palette&) const;

		bool operator==(const Palette&) const;

		bool operator!=(const Palette&) const;

	private:
		string m_name;

		bool m_hasTransparency;
	};


} // namespace SpritePack

#endif // PALETTE_H