/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PNG_COMPRESSOR_H
#define PNG_COMPRESSOR_H

#include "bucketmove.h"

namespace SpritePack {

	struct PNGCompressor : public CompressionBucketMove
	{
		PNGCompressor();

		virtual Cost calc();

		virtual string name() const;

		virtual void setInput(Bucket * bucket, int compressionLevel = 9, int filter = 5);

	private:
		int m_compressionLevel;
		int m_filter;
	};

} /* namespace SpritePack */

#endif /* PNG_COMPRESSOR_H */