/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#include "type.h"

namespace SpritePack {

	Type::Type(TypeEnum value)
		: m_value(value) {}

	Type::Type(const string& str)
	{
		string s = toUpper(str);

		if (s == "PNG")
		{
			m_value = Png;
		}
		else if (s == "JPEG" || s == "JPG")
		{
			m_value = Jpeg;
		}
		else if (s == "GIF")
		{
			m_value = Gif;
		}
		else
		{
			m_value = None;
		}
	}

	string Type::toString() const
	{
		if (m_value == Jpeg)
		{
			return "JPEG";
		}
		else if (m_value == Png)
		{
			return "PNG";
		}
		else if (m_value == Gif)
		{
			return "GIF";
		}
		else 
		{
			return "";
		}
	}

	string Type::toExt() const
	{
		if (m_value == Jpeg)
		{
			return ".jpg";
		}
		else if (m_value == Png)
		{
			return ".png";
		}
		else if (m_value == Gif)
		{
			return ".gif";
		}
		else 
		{
			return "";
		}
	}

	Type::operator TypeEnum() const 
	{ 
		return (TypeEnum)m_value; 
	}


} /* namespace SpritePack */
