/**
 * SpritePack
 * Copyright (C) 2015 SpritePack creators
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef TYPE_H
#define TYPE_H

#include "utils.h"

namespace SpritePack {

	enum TypeEnum { None, Jpeg, Png, Gif };

	struct Type
	{
		Type(TypeEnum value);

		Type(const string& = "");

		string toString() const;

		string toExt() const;

		operator TypeEnum() const;

	private:
		char m_value;
	};


} /* namespace SpritePack */

#endif /* TYPE_H */
